id: 91
createUser: admin
createTime: 2025-05-20T16:44:25.615871888Z
name: dayTraderApp_Source+dependencies_openjdk21_test-app-est113.43.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=openjdk21
        path: ""
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: true
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 0
application:
    id: 43
    name: dayTraderApp_Source+dependencies_openjdk21_test-app-est113
bucket:
    id: 135
    name: ""
started: 2025-05-20T16:44:25.792660329Z
terminated: 2025-05-20T16:52:26.066363041Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-05-20T16:44:25.74726967Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-05-20T16:44:25.777186834Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-91-2zsf7
      last: 2025-05-20T16:44:25.856054995Z
    - kind: PodPending
      count: 2
      reason: ContainerCreating
      last: 2025-05-20T16:44:26.912655385Z
    - kind: PodRunning
      count: 377
      last: 2025-05-20T16:51:13.230342414Z
    - kind: PodSucceeded
      count: 1
      last: 2025-05-20T16:51:13.230343015Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-05-20T16:51:13.324739553Z
    - kind: PodDeleted
      count: 1
      last: 2025-05-20T16:52:26.066318616Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/WASdev/sample.daytrader7'
    - '[FILE] Created /addon/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/WASdev/sample.daytrader7 /shared/source/sample'
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: id=13 (openjdk7/oraclejdk7)'
    - '[RULESET] fetching (dep): id=1 (.discovery)'
    - '[RULESET] fetching (dep): id=20 (.technology-usage)'
    - '[RULESET] fetching: id=23 (openjdk17)'
    - '[RULESET] fetching: id=14 (openjdk11/openjdk8)'
    - '[RULESET] fetching: id=15 (openjdk17/openjdk11)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/13/rules /addon/rules/rulesets/13/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/1/rules /addon/rules/rulesets/1/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/20/rules /addon/rules/rulesets/20/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/23/rules /addon/rules/rulesets/23/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/14/rules /addon/rules/rulesets/14/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/rulesets/15/rules /addon/rules/rulesets/15/rules'
    - '[CMD] /usr/bin/windup-shim succeeded.'
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/issues.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/rulesets/13/rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/20/rules --rules /addon/rules/rulesets/23/rules --rules /addon/rules/rulesets/14/rules --rules /addon/rules/rulesets/15/rules --label-selector konveyor.io/target=openjdk21'
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '[TAG] Tagging Application 43.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 33 reported. duration: 113.647812ms'
    - Facts updated.
    - Done.
attached:
    - id: 1180
      name: ssh-agent.output
      activity: 9
    - id: 1181
      name: git.output
      activity: 14
    - id: 1188
      name: windup-shim.output
      activity: 22
    - id: 1189
      name: windup-shim.output
      activity: 24
    - id: 1190
      name: windup-shim.output
      activity: 26
    - id: 1191
      name: windup-shim.output
      activity: 28
    - id: 1192
      name: windup-shim.output
      activity: 30
    - id: 1193
      name: windup-shim.output
      activity: 32
    - id: 1194
      name: settings.yaml
      activity: 33
    - id: 1195
      name: konveyor-analyzer.output
      activity: 34
    - id: 1196
      name: git.output
      activity: 37
    - id: 1182
      name: addon.log
    - id: 1183
      name: java.log
    - id: 1198
      name: pod.yaml
